Subject: If you're able to come to quick connections as a mentor, please do!

From: Wes Hardaker <[email-masked]>
Date: Sun, 24 Mar 2019 03:53:13 -0700

The quick connections session runs today from 3-4 in Congress Hall 1/2.  If
you're able to come and talk to newcommers for ~8 minute rotations, I'd
love your help.  If you didn't formally sign up, fear not: just show up!
This is a great, and well appreciated, way to introduce new people to our
culture and community.

-- 
Wes Hardaker
USC/ISI